API ReferenceapiclinicalPOST /v1/biomarkers/parse

POST /v1/biomarkers/parse

Service: clinical · operationId: (none)

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "patient_id": {
      "type": "string",
      "minLength": 1
    },
    "brand_id": {
      "type": "string",
      "minLength": 1
    },
    "source": {
      "type": "string",
      "minLength": 1
    },
    "biomarkers": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "minLength": 1
          },
          "name": {
            "type": "string",
            "minLength": 1
          },
          "value": {
            "type": "number"
          },
          "unit": {
            "type": "string",
            "minLength": 1
          },
          "reference_low": {
            "type": [
              "number",
              "null"
            ]
          },
          "reference_high": {
            "type": [
              "number",
              "null"
            ]
          },
          "collected_at": {
            "type": "string",
            "format": "date-time"
          }
        },
        "required": [
          "code",
          "name",
          "value",
          "unit",
          "collected_at"
        ]
      },
      "minItems": 1
    }
  },
  "required": [
    "patient_id",
    "brand_id",
    "source",
    "biomarkers"
  ]
}

Responses

200 Biomarkers parsed successfully

{
  "type": "object",
  "properties": {
    "results": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "patient_id": {
            "type": "string"
          },
          "biomarker_code": {
            "type": "string"
          },
          "biomarker_name": {
            "type": "string"
          },
          "value": {
            "type": "number"
          },
          "unit": {
            "type": "string"
          },
          "reference_low": {
            "type": [
              "number",
              "null"
            ]
          },
          "reference_high": {
            "type": [
              "number",
              "null"
            ]
          },
          "status": {
            "type": "string",
            "enum": [
              "normal",
              "low",
              "high",
              "critical"
            ]
          },
          "collected_at": {
            "type": "string"
          },
          "parsed_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "patient_id",
          "biomarker_code",
          "biomarker_name",
          "value",
          "unit",
          "reference_low",
          "reference_high",
          "status",
          "collected_at",
          "parsed_at"
        ]
      }
    },
    "count": {
      "type": "number"
    }
  },
  "required": [
    "results",
    "count"
  ]
}

400 Validation error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://clinical.platform.loop.health/v1/biomarkers/parse \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'